Subject: Re: [bitcoin-dev] A summary list of all concerns related to not rising the block size

From: Ashley Holman <[email-masked]>
Date: Thu, 13 Aug 2015 19:52:37 +1000

A concern I have is about security (hash rate) as a function of block size.

I am assuming that hash rate is correlated with revenue from mining.

Total revenue from fees as a function of block size should be a curve.  On
one extreme of the curve, if blocks are too big, fee revenue tends towards
0 as there is no competition for block space.  At the other extreme, if
blocks are too small, fee revenue is limited only to what the most valuable
use case(s) can afford.  Somewhere in the middle there should be a sweet
spot where fee revenue is maximised.  It's not a static curve though, it
should change as demand for block space changes.

Failing to scale the block size as demand grows might be forfeiting
potential miner revenue and hence security.

(I don't think that should be a primary concern though since
decentralisation should come first, but I'm just pointing it out as a
secondary concern).

On Wed, Aug 12, 2015 at 7:59 PM, Jorge Timón <
[email-masked]> wrote:

> I believe all concerns I've read can be classified in the following groups:
>
> > 1) Potential indirect consequence of rising fees.
>
> - Lowest fee transactions (currently free transactions) will become
> more unreliable.
> - People will migrate to competing systems (PoW altcoins) with lower fees.
>
> > 2) Software problem independent of a concrete block size that needs to
> > be solved anyway, often specific to Bitcoin Core (ie other
> > implementations, say libbitcoin may not necessarily share these
> > problems).
>
> - Bitcoin Core's mempool is unbounded in size and can make the program
> crash by using too much memory.
> - There's no good way to increase the fee of a transaction that is
> taking too long to be mined without the "double spending" transaction
> with the higher fee being blocked by most nodes which follow Bitcoin
> Core's default policy for conflicting spends replacements (aka "first
> seen" replacement policy).
>
> I have started with the 3 concerns that I read more often, but please
> suggest more concerns for these categories and suggest other
> categories if you think there's more.
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>